#ifndef SPI_BUS_MANAGER_H_
#define SPI_BUS_MANAGER_H_

#include "driver/spi_master.h"
#include "esp_err.h"
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

esp_err_t spi_bus_manager_init(void);
spi_host_device_t spi_bus_manager_get_host(void);
bool spi_bus_manager_is_initialized(void);

#ifdef __cplusplus
}
#endif

#endif // SPI_BUS_MANAGER_H_
